Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RadPageViewCollection=function(_1){
this._owner=_1;
this._data=[];
};
Telerik.Web.UI.RadPageViewCollection.prototype={get_count:function(){
return this._data.length;
},_add:function(_2){
this._insert(this.get_count(),_2);
},_insert:function(_3,_4){
Array.insert(this._data,_3,_4);
_4._multiPage=this._owner;
},insert:function(_5,_6){
this._insert(_5,_6);
this._owner._onPageViewInserted(_5,_6);
},add:function(_7){
this.insert(this.get_count(),_7);
},getPageView:function(_8){
return this._data[_8]||null;
},removeAt:function(_9){
var _a=this.getPageView(_9);
if(_a){
this.remove(_a);
}
},remove:function(_b){
this._owner._onPageViewRemoving(_b);
_b.unselect();
Array.remove(this._data,_b);
this._owner._onPageViewRemoved(_b);
}};
Telerik.Web.UI.RadPageViewCollection.registerClass("Telerik.Web.UI.RadPageViewCollection");
Telerik.Web.UI.RadPageView=function(_c){
this._element=_c;
};
Telerik.Web.UI.RadPageView.prototype={_select:function(_d){
var _e=this.get_multiPage();
if(!_e){
this._cachedSelected=true;
return;
}
_e._selectPageViewByIndex(this.get_index(),_d);
},_hide:function(){
if(this.get_element()){
this.get_element().style.display="none";
}
},_show:function(){
if(!this.get_element()){
return;
}
this.get_element().style.display="block";
if(this._radShowCalled){
return;
}
var _f=this.get_element().getElementsByTagName("*");
for(var i=0,_11=_f.length;i<_11;i++){
var _12=_f[i];
if(_12.RadShow){
_12.RadShow();
}
}
this._radShowCalled=true;
},get_element:function(){
return this._element;
},get_index:function(){
return Array.indexOf(this.get_multiPage().get_pageViews()._data,this);
},get_id:function(){
return this._id;
},set_id:function(_13){
this._id=_13;
if(this.get_element()){
this.get_element().id=_13;
}
},get_multiPage:function(){
return this._multiPage||null;
},get_selected:function(){
return this.get_multiPage().get_selectedPageView()==this;
},set_selected:function(_14){
if(_14){
this.select();
}else{
this.unselect();
}
},select:function(){
this._select();
},unselect:function(){
if(this.get_selected()){
this.get_multiPage().set_selectedIndex(-1);
}
}};
Telerik.Web.UI.RadPageView.registerClass("Telerik.Web.UI.RadPageView");
Telerik.Web.UI.RadMultiPage=function(_15){
Telerik.Web.UI.RadMultiPage.initializeBase(this,[_15]);
this._pageViews=new Telerik.Web.UI.RadPageViewCollection(this);
this._selectedIndex=-1;
this._pageViewData=null;
this._changeLog=[];
};
Telerik.Web.UI.RadMultiPage.prototype={_logInsert:function(_16){
if(!this._trackingChanges){
return;
}
Array.add(this._changeLog,{type:1,index:_16.get_index()});
},_logRemove:function(_17){
if(!this._trackingChanges){
return;
}
Array.add(this._changeLog,{type:2,index:_17.get_index()});
},_onPageViewRemoving:function(_18){
this._logRemove(_18);
},_onPageViewInserted:function(_19,_1a){
var _1b=_1a.get_element();
if(!_1b){
_1b=_1a._element=document.createElement("div");
}
_1b.style.display="none";
if(_1a.get_id()){
_1b.id=_1a.get_id();
}
var _1c=this.get_pageViews().getPageView(_19+1);
if(_1c){
this.get_element().insertBefore(_1b,_1c.get_element());
}else{
this.get_element().appendChild(_1b);
}
if(_1a._cachedSelected){
_1a._cachedSelected=false;
_1a.select();
}
this._logInsert(_1a);
},_onPageViewRemoved:function(_1d){
if(_1d.get_element()){
this.get_element().removeChild(_1d.get_element());
}
},_selectPageViewByIndex:function(_1e,_1f){
if(this._selectedIndex==_1e){
return;
}
if(!this.get_isInitialized()){
this._selectedIndex=_1e;
return;
}
if(_1e<-1||_1e>=this.get_pageViews().get_count()){
return;
}
var _20=this.get_selectedPageView();
this._selectedIndex=_1e;
var _21=this.get_selectedPageView();
if(!_1f){
if(_20){
_20._hide();
}
if(_21){
_21._show();
}
}
this.updateClientState();
},trackChanges:function(){
this._trackingChanges=true;
},commitChanges:function(){
this.updateClientState();
this._trackingChanges=false;
},get_pageViewData:function(){
return this._pageViewData;
},set_pageViewData:function(_22){
this._pageViewData=_22;
},initialize:function(){
Telerik.Web.UI.RadMultiPage.callBaseMethod(this,"initialize");
var _23=this.get_pageViewData();
var _24=$telerik.getChildrenByTagName(this.get_element(),"div");
for(var i=0;i<_23.length;i++){
var _26=new Telerik.Web.UI.RadPageView(_24[i]);
_26._id=_23[i].id;
this._pageViews._add(_26);
}
},findPageViewByID:function(id){
for(var i=0;i<this.get_pageViews().get_count();i++){
var _29=this.get_pageViews().getPageView(i);
if(_29.get_id()==id){
return _29;
}
}
return null;
},get_pageViews:function(){
return this._pageViews;
},get_selectedIndex:function(){
return this._selectedIndex;
},set_selectedIndex:function(_2a){
this._selectPageViewByIndex(_2a);
},get_selectedPageView:function(){
return this.get_pageViews().getPageView(this.get_selectedIndex());
},saveClientState:function(){
var _2b={};
_2b.selectedIndex=this.get_selectedIndex();
_2b.changeLog=this._changeLog;
return Sys.Serialization.JavaScriptSerializer.serialize(_2b);
}};
Telerik.Web.UI.RadMultiPage.registerClass("Telerik.Web.UI.RadMultiPage",Telerik.Web.UI.RadWebControl);;